restinio::default_http_methods_t Class Reference

The default implementation for http_method_mapper. More...

`#include <http_headers.hpp>`

## Static Public Member Functions

static constexpr http_method_id_t | from_nodejs (int value) noexcept

## Detailed Description

The default implementation for http_method_mapper.

Since v.0.5.0 RESTinio allows to use modified versions of http_parser libraries. Such modified versions can handle non-standard HTTP methods. In that case a user should define its own http_method_mapper-type. That http_method_mapper must contain static method from_nodejs for mapping the http_parser's ID of HTTP method to an instance of http_method_id_t.

Class default_http_methods_t is the default implementation of http_method_mapper-type for vanila version of http_parser.

Since
  v.0.5.0

Definition at line 1831 of file http_headers.hpp.

## Member Function Documentation

## from_nodejs()

static constexpr http_method_id_t restinio::default_http_methods_t::from_nodejs | ( | int | value | ) |

inlinestaticconstexprnoexcept

Definition at line 1835 of file http_headers.hpp.

The documentation for this class was generated from the following file:

- restinio/http_headers.hpp